<?php
 
session_start();
include("DMMYSQLG.php");
include("DMMYSQLG.php");
require_once("DV36000_CL.php");
require_once("DF80000.php");
?>
<?php

$bModPri=false;					//Bandera de Modificar(True solo En el Primer Bloqueo o recarga de pagina en modo Modificar)
$id_encfac=$_REQUEST["bot"]; 	//Id de Encabezado

/*Crear Objetos Necesarios para Manipular Encabezado y Detalle*/
$dataEnc['idEncFac']=$id_encfac;
$dataDet['idEncFac']=$id_encfac;
$encFac = new EncFac($dataEnc);
$detFac = new DetFac($dataDet);
$res=$encFac->busReg();
$dt_encfac=mysqli_fetch_array($res);
/************************************************************/
$sq_detfac=$detFac->busByEnc();
while($dt_detfac=mysqli_fetch_array($sq_detfac)){
	$detFac->resetData($dt_detfac);
	$detFac->eliminar();
}
$tip_per='C';
$codigo=$dt_encFac['idBascps'];
$num_doc=$dt_encfac['idTipFac'].$dt_encfac['numFac'];
$sq_redocl=mysqli_query($con ,"DELETE FROM dvredocl WHERE num_doc = '$num_doc' AND codigo = '$codigo' AND tip_mov='$tip_per'");
$rs=$encFac->eliminar();
if($rs){
	echo '<h2>FACTURA ELIMINAR</h2>';
	echo '<meta content="2; url=DV37000_PR.php" HTTP-EQUIV="REFRESH">';	
}
else{
	echo '<h2>ERROR AL ELIMINAR FACTURA</h2>';
	echo '<meta content="1; url=DV37000_PR.php" HTTP-EQUIV="REFRESH">';
}
?>
